package kdg.bigdata;

import org.apache.log4j.Logger;
import org.apache.log4j.net.SyslogAppender;

import java.io.IOException;

/**
 * Created by Jirry on 27/10/2016.
 */
public class AppStart {
    public static void main(String[] args) {
        Logger logger = Logger.getLogger(AppStart.class.getClass());
        logger.info("App started");

        if (args.length < 2){
            logger.error("Need more then 1 argument!");
            System.out.println("Need more then 1 argument!");
            System.exit(69);
        }

        String[] wordsToFilter = new String[args.length-1];

        for (int index = 1; index<args.length; index++)
            wordsToFilter[index-1] = args[index];


        if (args[0].equals("\\")){
            args[0] = System.getProperty("user.dir") + "\\Bestanden";
            logger.info("Output path: " + args[0]);
        }

        try {
            new Thread(new ReadTwitter(args[0], wordsToFilter)).start();
        } catch (IOException e) {
            logger.error(e);
        }


    }
}
